package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.WFSystemUserMapper;
import com.sa.ibiz.demo.demo.domain.WFSystemUser;
import com.sa.ibiz.demo.demo.service.WFSystemUserService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.WFSystemUserSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;


/**
 * 实体[WFSystemUser] 服务对象接口实现
 */
@Service
public class WFSystemUserServiceImpl extends ServiceImplBase<WFSystemUserMapper, WFSystemUser> implements WFSystemUserService{


    @Resource
    private WFSystemUserMapper wfsystemuserMapper;


    @Override
    public boolean create(WFSystemUser et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(WFSystemUser et){
        this.beforeUpdate(et);
		this.wfsystemuserMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(WFSystemUser et){
		return et.getWfsystemuserid();  
    }

    @Override
    public boolean getDraft(WFSystemUser et)  {
            return true;
    }

	public List<WFSystemUser> listDefault(WFSystemUserSearchFilter filter) {
		return wfsystemuserMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<WFSystemUser> searchDefault(WFSystemUserSearchFilter filter) {
		return wfsystemuserMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return wfsystemuserMapper.selectRow(sql);
    }

 }